<?php



 // [EN] Login-form as block
    function phptemplate_user_login_block($form) {
        $rendered_login_form = array();

        $form['name']['#title'] = t('Username');
        $form['pass']['#title'] = t('Password');
        $form['submit']['#value'] = t('Enter');
        
        unset($form['links']);
        $rendered_login_form['name'] = drupal_render($form['name']);
        $rendered_login_form['pass'] = drupal_render($form['pass']);
        $rendered_login_form['submit'] = drupal_render($form['submit']);
        $rendered_login_form['reg_link'] = variable_get('user_register', 1) ? l(t('Create new account'), 'user/register', array('title' => t('Create a new user account.'))) : '';
        $rendered_login_form['rmd_link'] = l(t('Request new password'), 'user/password', array('title' => t('Request new password via e-mail.')));

        $rendered_login_form['form'] = drupal_render($form);

        return _phptemplate_callback('templates/user-login-block', array('rendered_login_form' => $rendered_login_form));
    }



 // [EN] Login-form on page http://localhost/user
    function phptemplate_user_login($form) {
        return drupal_render($form);
    }


